Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderpass
Class PreprocessPass

    java.lang.Object
      de.grogra.imp3d.glsl.renderpass.RenderPass
          de.grogra.imp3d.glsl.renderpass.FullRenderPass
              de.grogra.imp3d.glsl.renderpass.PreprocessPass

    public class PreprocessPass

extends FullRenderPass

This class sets up primary transparency information and renders emissive materials which may need to be removed and worked into light shaders!

Author:
  Konni Hartmann

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`newVisit`

Constructor Summary
`PreprocessPass()`

Method Summary
`protected void` | `epilogue(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `prologue(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `render(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`

Methods inherited from class de.grogra.imp3d.glsl.renderpass.FullRenderPass
`process`

Methods inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`activateTextures, activateTextures, deactivateTextures, deactivateTextures, drawPrjQuad, drawPrjQuad, drawPrjQuad, drawPrjQuadParallel, getID, postDrawCallback, renderAndUpdateVector, renderVector, resetMatrix, setMatrix, ViewOrtho, ViewOrtho, ViewPerspective`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreprocessPass

    public PreprocessPass()

Method Detail

### epilogue

    protected void epilogue(GLSLDisplay disp,
                            OpenGLState glState,
                            java.lang.Object data)

  Specified by:
    `epilogue` in class `RenderPass`

### prologue

    protected void prologue(GLSLDisplay disp,
                            OpenGLState glState,
                            java.lang.Object data)

  Specified by:
    `prologue` in class `RenderPass`

### render

    protected void render(GLSLDisplay disp,
                          OpenGLState glState,
                          java.lang.Object data)

  Specified by:
    `render` in class `RenderPass`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD